/*
                             *******************
******************************* C HEADER FILE ********************************
**                           *******************                            **
**                                                                          **
**  project   : BK_SJB                                                      **
**  filename  : User_Isr.H                                                  **
**  version   : Beta (PCB : )                                               **
**  date      : - --, ----                                                  **
**                                                                          **
******************************************************************************
**                                                                          **
**  Copyright (c) ----, TEK                                                 **
**  All rights reserved.                                                    **
**                                                                          **
**                    TYCO ELECTRONICS AMP KOREA LTD                        **
**                         - SUWON R&D CENTER -                             **
******************************************************************************

VERSION HISTORY:
----------------

Version     : -
Date        : - --, ----
Revised by  : HK.IM
Description : Original version.

*/

#ifndef _USER_ISR_INCLUDED
#define _USER_ISR_INCLUDED

/****************************************************************************/
/**                                                                        **/
/**                      MODULES USED                                      **/
/**                                                                        **/
/****************************************************************************/
#include "Defines.h"
/****************************************************************************/
/**                                                                        **/
/**                      DEFINITIONS AND MACROS                            **/
/**                                                                        **/
/****************************************************************************/
#define ISR(x) __interrupt void x(void)

/****************************************************************************/
/**                                                                        **/
/**                      TYPEDEFS AND STRUCTURES                           **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED VARIABLES                                **/
/**                                                                        **/
/****************************************************************************/

#ifndef _USER_ISR_C_SRC
#endif

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED FUNCTIONS                                **/
/**                                                                        **/
/****************************************************************************/
#pragma CODE_SEG __NEAR_SEG NON_BANKED

ISR(TI1_Interrupt);			/* Timer interrupt service routine : 125usec */

#pragma CODE_SEG DEFAULT

#endif

/****************************************************************************/
/**                                                                        **/
/**                      EOF                                               **/
/**                                                                        **/
/****************************************************************************/
